summaryrefslogtreecommitdiffstats
path: root/samba_wizard/scripts/do_it_samba.sh
diff options
context:
space:
mode:
Diffstat (limited to 'samba_wizard/scripts/do_it_samba.sh')
-rwxr-xr-xsamba_wizard/scripts/do_it_samba.sh80
1 files changed, 80 insertions, 0 deletions
diff --git a/samba_wizard/scripts/do_it_samba.sh b/samba_wizard/scripts/do_it_samba.sh
new file mode 100755
index 00000000..2f3fc0be
--- /dev/null
+++ b/samba_wizard/scripts/do_it_samba.sh
@@ -0,0 +1,80 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+#
+# set up the config for samba
+# assuming all dependencies are ok
+
+file=/etc/sysconfig/mdk_serv
+
+# store the variables
+
+chg_val ${file} wiz_banner ${wiz_banner} s
+chg_val ${file} wiz_workgroup ${wiz_workgroup} s
+chg_val ${file} wiz_do_printer_sharing ${wiz_do_printer_sharing} s
+chg_val ${file} wiz_do_file_sharing ${wiz_do_file_sharing} s
+
+
+ip=`get_var wiz_ip_net`
+
+
+echo_debug "printer ${wiz_do_printer_sharing}"
+echo_debug "file share ${wiz_do_file_sharing}"
+echo_debug "banner ${wiz_banner}"
+echo_debug "workgr ${wiz_workgroup}"
+
+
+# samba configuration file
+config="/etc/samba/smb.conf"
+if [ ! -f ${config} ]; then
+ echo_debug "no smb.conf configuration file found ! exiting."
+ exit 2
+fi
+
+bck_file ${config}
+
+cat ${CWD}/scripts/smb.conf.default > ${config}
+
+${CWD}/scripts/smbconfig.pl --set-hosts-allow="${ip%.*}. 127." \
+--set-workgroup="${wiz_workgroup}" --set-banner="${wiz_banner}"
+
+if [ "${wiz_do_file_sharing}" == "true" ]; then
+ echo_debug "enabling file sharing"
+ ${CWD}/scripts/smbconfig.pl --remove-homes --enable-public --set-security-share
+fi
+
+if [ "${wiz_do_printer_sharing}" == "enabled" ]; then
+ echo_debug "enabling printer access"
+ ${CWD}/scripts/smbconfig.pl --enable-printer-access
+fi
+
+
+echo_debug "restarting service smb"
+# restarting service
+#/etc/rc.d/init.d/smb restart >/dev/null 2>&1
+
+
+# exiting ok
+exit 1